<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match='/'>
  <html> 
    <xsl:apply-templates /> 
  </html>
</xsl:template>

<xsl:template match='enlaces'>
  <head>
    <title><xsl:value-of select='titulo' /> (Generado por enlaces.xsl)</title>
    <link rel="stylesheet" href="enlaces.css" type="text/css"/>
  </head>
  <body>
    <h1><xsl:value-of select='titulo' /> </h1>
    <table>
      <xsl:apply-templates select='seccion' />
    </table>
  </body>
</xsl:template>

<xsl:template match='seccion'>
  <tr><th><xsl:value-of select='titSeccion' /></th></tr>
  <tr><td><xsl:apply-templates select='enlace' /></td></tr>
</xsl:template>

<xsl:template match='enlace'>
  <p>
   <a>
    <xsl:attribute name="href"><xsl:value-of select="url" /></xsl:attribute>
    <xsl:value-of select='nombre' />
  </a>
  <xsl:value-of select='descripcion' />
  </p>
</xsl:template>
</xsl:stylesheet>

